# CSSValue : Object
Return to: HTML DOM Level 2 index

Value of a CSS style attribute.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
CSSValue Constructor() : CSSValue Value of a CSS style attribute. | Show Details | no | 1.0+ | no | no | no

### CSSValue() : CSSValue

Value of a CSS style attribute.

Returns

CSSValue |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
cssText : String Text representing the CSS value. | Show Details | no | 1.0+ | no | no | no

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

cssValueType : Number Type of CSS value represented by the object. See remarks for possible values. | Show Details | no | 1.0+ | no | no | no

Remarks

  The following constants are valid values for `cssValueType`:

  - `CSS_INHERIT = 0` - Indicates that the value of the CSS style attribute is inherited.
  - `CSS_PRIMITIVE_VALUE = 1` - Indicates that the value of the CSS style attribute is a primitive value.
  - `CSS_VALUE_LIST = 2` - Indicates that the CSS value actually contains a list of values.
  - `CSS_CUSTOM = 3` - Indicates that the CSS value is of a type not supported by CSS or DOM standards.
Availability

  HTML DOM Level 2|W3C

## References

CSSPrimitiveValue|CSSValueList

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs